* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}


p {
    font-size: 18px;
    line-height: 2;
    text-align: center;

}

body {
    background: #f5f5f5;
}

/* HEADER */

    header {   
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background: #111;
    color: white;
    padding: 15px 50px;
}




.logo img {
    width: 300px;
    height: auto;
}

/*nav*/
.nav ul{
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    gap: 20px;
}

.nav a {
    display: block;
    padding: 12px 25px;
    background: #cfcfcf3f;
    border-radius: 8px;
    text-decoration: none;
    color: white;
    font-weight: bold;
    transition: 0.3s;
}
/* hover transition*/
.nav a:hover {
    background: #00ff88;
    color: black;
    transform: translatey(-3px);
}

.logo{
    display: flex;
    align-items: center;
    gap: 20px;
    width: 175px;
    height: 175px;
   
}

#btn {
   margin-top: 30px;
   padding: 12px 25px;
   background: white;
   color: black;
   border: none;
   border-radius: 10px;
   font-size: 18px;
   font-weight: bold;
   cursor: pointer;
   transition: all 0.3s ease;
}

#btn:hover {
    background: #000000;
    color: white;
   transform: translateY(-3px);
   box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}

/* HERO */
.hero {
    text-align: center;
    width: 100%;
    padding: 100px 20px;
    background: linear-gradient(135deg, #111, #00ff88);
    color: white;
}

.hero h1 {
    font-size: 40px;
}

.hero p {
    margin: 20px 0;
    font-size: 18px;
}


.hero button {
    padding: 10px 20px;
    border: none;
    background: white;
    color: black;
    cursor: pointer;
    border-radius: 5px;
}

/* SERVICES */
.services {
    padding: 50px;
    text-align: center;
}
.card-link {
    text-decoration: none;
    color: inherit;
}
.cards {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    flex-direction: row;
}


.card {
    background: white;
    padding: 20px;
    margin: 10px;
    width: 250px;
    border-radius: 10px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
    transition: 0.3s;
}

.card:hover {
    transform: translateY(-5px);
}

/* CONTACT */
.contact {
    background: #111;
    color: white;
    padding: 50px;
    text-align: center;
    border: none;
}

.contact p{
    margin-bottom: 20px;
    font-size: 18px;
}

a{
    color: inherit;
    text-decoration: none;

}

a:hover {
    color: none;
    text-decoration: none;
}

/* FOOTER */
footer {
    text-align: center;
    padding: 20px;
    background: black;
    color: white;
}
    /* iframe responsive */
.contact iframe {
width: 100%;
height: 300px;
border: none;
}

/* Responsive media queries */
@media (max-width: 768px) {
    .services{
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 15px 20px;  
    }
.logo {
        width: 70%;
        justify-content: center;
        gap: 0;
    }
header{ 
    display: flex;
    flex-direction: column;
    align-items: center;  
    padding: 10px 20px;
    gap: 0;
    margin: 0 auto;
        }
.nav ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 25px;
        margin: 0 auto;
        font-size: 18px;
        padding: 18px 0;
    }

.cards {
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}
}

/* TITRESERV */
img {
    width: 50%;
    height: auto;
}
.titreserv {
     background: #ffffff;
     padding: 50px;
     text-align: center;
}

#titreservice {
    font-size: 30px;
    margin-bottom: 20px;
}
/* SERVICE-IMG */



.bloc {
    display: flex;
    align-items: stretch;
    margin: 0;
}

.content {
    position: right;
    width: 50%;
    background: linear-gradient(195deg, #111, #05af60);
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 50px;
    margin: 0 auto;
}

.content-reverse {
    position: left;
    width: 100%;
    height: auto;
    background: linear-gradient(35deg, #111111, #3d3d3da1);
    color: rgb(255, 255, 255);
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 40px;
}


.bloc.reverse {    flex-direction: row-reverse;
}

/* Responsive media queries for service section */
@media (max-width: 768px) {
    .bloc {
        flex-direction: column;
    }
    .content, .content-reverse {
        width: 100%;
        padding: 20px;
    }
    .bloc.reverse {
        flex-direction: column;
    }
    img{
        width: 100%;
        height: auto;
    }
}

/* DEVIS */

.devis-content {
    display: flex;
    flex-direction: column;
    align-items: center;
        padding: 50px;
        margin: 0 auto;
        gap: 25px;
        background: white;
        color: #000000;
        font-size: 20px;
}

.devis-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    margin-top: 50px;
    margin: 0 0;
    padding: 50px;
    max-width: 100%;
    max-height: auto;
    background: linear-gradient(185deg, #111, #05af60);
    color: rgb(255, 255, 255);
}

.devis-form label {
    display: flex;
    flex-direction: column;
    font-size: 25px;
    font-weight: bold;
    margin: 20px 10px 5px;
    align-items: center;
}

.devis-form input, .devis-form textarea {
    padding: 9px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    margin: 0 10px 20px;
    max-width: 500px;
    width: 100%;
    height: 30px;
    align-items: center;

}

#name, #email {
    width: 100%;
    padding: 20px;
}

#message {
    width: 100%;
    padding: 20px;
    height: 150px;
}

#btn-devis {
    padding: 12px 75px;
    background: white;
    color: black;
    border: none;
    border-radius: 10px;
    font-size: 25px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
}

#btn-devis:hover {
    background: #000000;
    color: white;
   transform: translatey(-5px);
   box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}

/* Responsive media queries for devis section */
@media (max-width: 768px) {
    .devis-content {
        padding: 20px;
        font-size: 18px;
        gap: 25px;
        margin: 20px 0;
        background: #ffffff;
    }
    .devis-form {
        padding: 20px;
        gap: 15px;
    }
    .devis-form label {
        font-size: 20px;
        margin: 10px 0 5px;
    }
    .devis-form input, .devis-form textarea {
        font-size: 16px;
        margin: 0 25px 15px;
    }
    #btn-devis {
        padding: 10px 50px;
        font-size: 20px;
    }
}

/* MERCI */
.merci {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 300px 20px;
    background: linear-gradient(195deg, #111, #05af60);
    color: white;
    font-size: 30px;
    gap: 50px;
    margin: 0 auto;
}

/* Responsive media queries for merci section */
@media (max-width: 768px) {
    .merci {
        display: flex;
        flex-direction: column;
        text-align: center;
        max-width: 80%;
        max-height: auto;
        padding: 150px 20px;
        font-size: 25px;
        gap: 30px;
    }
}